## org.apache.batik.svggen.font.table
Class ClassDef

    java.lang.Object
      org.apache.batik.svggen.font.table.ClassDef

Direct Known Subclasses:
  ClassDefFormat1, ClassDefFormat2

public abstract class ClassDef
extends java.lang.Object

Constructor Summary
`ClassDef()`

Method Summary
`abstract int` `getFormat()`
`protected static ClassDef` `read(java.io.RandomAccessFile raf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassDef

    public ClassDef()

Method Detail

### getFormat

    public abstract int getFormat()

### read

    protected static ClassDef read(java.io.RandomAccessFile raf)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.